Name:           fet
Version:        5.13.2
Release:        1%{?dist}
Summary:        A timetabling software for educational institutions

Group:          Applications/Engineering
License:        GPLv2+
URL:            http://lalescu.ro/liviu/fet
Source0:        http://lalescu.ro/liviu/fet/download/fet-%{version}.tar.bz2
Source1:        fet.desktop
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  qt-devel > 4.3
BuildRequires:  desktop-file-utils


%description
FET is open source free software for automatically scheduling
the timetable of a school, high-school or university. It uses
a fast and efficient timetabling algorithm.


%prep
%setup -q
# remove binary translations
rm -rf translations/*.qm


%build
qmake-qt4 %{name}.pro
make %{?_smp_mflags}
# build translation files
pushd translations
lrelease-qt4 *.ts
popd


%install
rm -rf %{buildroot}
# prepare folders
mkdir -p %{buildroot}%{_bindir}
mkdir -p %{buildroot}%{_mandir}/man1
mkdir -p %{buildroot}%{_datadir}/%{name}/translations
# install
install -p -m 0755 fet %{buildroot}%{_bindir}/
install -p -m 0644 doc/fet.1 %{buildroot}%{_mandir}/man1/
install -p -m 0644 translations/*.qm %{buildroot}%{_datadir}/%{name}/translations
# install desktop file
desktop-file-install --vendor="fedora" \
        --dir=%{buildroot}%{_datadir}/applications %{SOURCE1}


%clean
rm -rf %{buildroot}


%files
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog CONTRIBUTORS COPYING
%doc README REFERENCES THANKS TODO TRANSLATORS
%doc doc examples
%{_bindir}/%{name}
%{_mandir}/man1/%{name}.1.gz
%{_datadir}/applications/fedora-%{name}.desktop
%{_datadir}/%{name}/


%changelog
* Thu May 06 2010 Fabian Affolter <fabian@bernewireless.net> - 5.13.1-2
- Updated to new upstream version 5.13.2

* Wed Apr 07 2010 Fabian Affolter <fabian@bernewireless.net> - 5.13.1-1
- Updated to new upstream version 5.13.1

* Sun Mar 20 2010 Fabian Affolter <fabian@bernewireless.net> - 5.13.0-1
- Updated to new upstream version 5.13.0

* Sun Feb 07 2010 Fabian Affolter <fabian@bernewireless.net> - 5.12.3-1
- Updated to new upstream version 5.12.3

* Sun Jan 31 2010 Fabian Affolter <fabian@bernewireless.net> - 5.12.2-1
- Updated to new upstream version 5.12.2

* Fri Dec 18 2009 Fabian Affolter <fabian@bernewireless.net> - 5.12.0-1
- Some doc files removed
- Updated to new upstream version 5.12.0

* Mon Sep 14 2009 Fabian Affolter <fabian@bernewireless.net> - 5.10.3-1
- Updated to new upstream version 5.10.3

* Wed Jul 29 2009 Fabian Affolter <fabian@bernewireless.net> - 5.10.2-1
- Improved summary a bit
- Small spec file clean-up
- sample_inputs is now examples
- Updated to new upstream version 5.10.2

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 5.7.7-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Tue Feb 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 5.7.7-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Sat Jan 03 2009 Balint Cristian <rezso@rdsor.ro> - 5.7.7-1
- new upstream release

* Sat Dec 06 2008 Balint Cristian <rezso@rdsor.ro> - 5.7.5-1
- new upstream release

* Thu Oct 02 2008 Balint Cristian <rezso@rdsor.ro> - 5.7.0-1
- new upstream release
- some UTF-8 fixes now upstream

* Thu Sep 25 2008 Balint Cristian <rezso@rdsor.ro> - 5.6.3-3
- remove binary translations at prep time

* Mon Sep 15 2008 Balint Cristian <rezso@rdsor.ro> - 5.6.3-2
- add desktop file
- build translations

* Wed Sep 10 2008 Balint Cristian <rezso@rdsor.ro> - 5.6.3-1
- initial package for fedora
